package com.yd.dal.mapper.customer;

import com.yd.dal.entity.customer.AclPractitionerPotentialGoalsActions;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AclPractitionerPotentialGoalsActionsMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AclPractitionerPotentialGoalsActions record);

    int insertSelective(AclPractitionerPotentialGoalsActions record);

    AclPractitionerPotentialGoalsActions selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclPractitionerPotentialGoalsActions record);

    int updateByPrimaryKey(AclPractitionerPotentialGoalsActions record);

    List<AclPractitionerPotentialGoalsActions> findByPractitionerIdAndCurrentYearAndIsActive(@Param("practitionerId")Long practitionerId, @Param("currentYear") Integer currentYear, @Param("isActive") Integer isActive);

    void saveAll(@Param("potentialGoalsActionsList") List<AclPractitionerPotentialGoalsActions> potentialGoalsActionsList);

    List<AclPractitionerPotentialGoalsActions> findByPractitionerIdAndCurrentYearAndIsActiveAndTimeUnit(@Param("practitionerId")Long practitionerId, @Param("currentYear")Integer currentYear, @Param("isActive")Integer isActive, @Param("timeType")Integer timeType);
}